//
//  Wumbo-TouchInput.h
//  Wumbo
//
//  Created by Wade McGillis on 10/28/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//

#ifndef __Wumbo_TouchInput_h__
#define __Wumbo_TouchInput_h__
#include "Wumbo-InputMethod.h"
#include "Wumbo-InputManager.h"
#include "Wumbo-Header.h"
namespace Wumbo
{
	class TouchInput : public InputMethod
	{
	protected:
		InputManager *manager;
	public:
		static const int SWIPE_LEFT;
		static const int SWIPE_UP;
		static const int SWIPE_RIGHT;
		static const int SWIPE_DOWN;
		virtual void initialize();
		virtual void deinitialize();
		virtual void update();
		virtual void onEndOfFrame();
		
		TouchInput();
		TouchInput(InputManager *man);
		virtual void clearTouches();
		virtual bool swiped(int direction);
		virtual bool touched();
		virtual bool touched(int x, int y, int x2, int y2);
	};
};

#endif /* defined(__Wumbo__Wumbo_TouchInput__) */
